import { CustomQuery, Context, FactoryParams, UseCategoryErrors, ComputedProperty, ComposableFunctionArgs } from '@vue-storefront/core';
export interface UseCategoryFactoryParams<CATEGORY, CATEGORY_SEARCH_PARAMS> extends FactoryParams {
    categorySearch: (context: Context, params: CATEGORY_SEARCH_PARAMS & {
        customQuery?: CustomQuery;
    }) => Promise<CATEGORY>;
}
export interface UseCategory<CATEGORY, CATEGORY_SEARCH_PARAMS> {
    categories: ComputedProperty<CATEGORY>;
    search(params: ComposableFunctionArgs<CATEGORY_SEARCH_PARAMS>): Promise<void>;
    loading: ComputedProperty<boolean>;
    error: ComputedProperty<UseCategoryErrors>;
}
export declare function useCategoryFactory<CATEGORY, CATEGORY_SEARCH_PARAMS = any>(factoryParams: UseCategoryFactoryParams<CATEGORY, CATEGORY_SEARCH_PARAMS>): (id: string) => UseCategory<CATEGORY, CATEGORY_SEARCH_PARAMS>;
//# sourceMappingURL=useCategoryFactory.d.ts.map