import { CustomQuery, Context, FactoryParams, ComputedProperty } from '@vue-storefront/core';
import { PaymentInput } from '@vue-storefront/vendure-api';
import { Error, Order } from '../types';
export interface UsePaymentErrors {
    set: Error;
    load: Error;
}
export interface UsePaymentFactoryParams<PAYMENT> extends FactoryParams {
    set: (context: Context, params: PaymentInput & {
        customQuery?: CustomQuery;
    }) => Promise<Order>;
    load: (context: Context, params?: {
        customQuery?: CustomQuery;
    }) => Promise<PAYMENT>;
}
export interface UsePayment<PAYMENT> {
    methods: ComputedProperty<PAYMENT>;
    set(params: PaymentInput & {
        customQuery?: CustomQuery;
    }): Promise<void>;
    load(params?: {
        customQuery?: CustomQuery;
    }): Promise<void>;
    loading: ComputedProperty<boolean>;
    error: ComputedProperty<UsePaymentErrors>;
}
export declare function usePaymentFactory<PAYMENT = any>(factoryParams: UsePaymentFactoryParams<PAYMENT>): () => UsePayment<PAYMENT>;
//# sourceMappingURL=usePaymentFactory.d.ts.map