import { CustomQuery, Context, FactoryParams, ComputedProperty } from '@vue-storefront/core';
import { Error } from '../types';
export interface UseRelatedProductsErrors {
    set: Error;
    load: Error;
}
export interface UseRelatedProductsFactoryParams<RELATED_PRODUCTS> extends FactoryParams {
    load: (context: Context, params?: {
        customQuery?: CustomQuery;
    }) => Promise<RELATED_PRODUCTS>;
}
export interface UseRelatedProducts<RELATED_PRODUCTS> {
    relatedProducts: ComputedProperty<RELATED_PRODUCTS>;
    load(params?: {
        customQuery?: CustomQuery;
    }): Promise<void>;
    loading: ComputedProperty<boolean>;
    error: ComputedProperty<UseRelatedProductsErrors>;
}
export declare function useRelatedProductsFactory<RELATED_PRODUCTS = any>(factoryParams: UseRelatedProductsFactoryParams<RELATED_PRODUCTS>): () => UseRelatedProducts<RELATED_PRODUCTS>;
//# sourceMappingURL=useRelatedProducts.d.ts.map