import { UseUser, Context, FactoryParams, UseUserErrors, CustomQuery } from '@vue-storefront/core';
export interface UseUserFactoryParams<USER, UPDATE_USER_PARAMS, REGISTER_USER_PARAMS> extends FactoryParams {
    load: (context: Context, params?: {
        customQuery: CustomQuery;
    }) => Promise<USER>;
    logOut: (context: Context, params: {
        currentUser: USER;
    }) => Promise<void>;
    updateUser: (context: Context, params: {
        currentUser: USER;
        updatedUserData: UPDATE_USER_PARAMS;
        customQuery?: CustomQuery;
    }) => Promise<USER>;
    register: (context: Context, params: REGISTER_USER_PARAMS & {
        customQuery?: CustomQuery;
    }) => Promise<USER>;
    logIn: (context: Context, params: {
        username: string;
        password: string;
        customQuery?: CustomQuery;
    }) => Promise<USER>;
    changePassword: (context: Context, params: {
        currentUser: USER;
        currentPassword: string;
        newPassword: string;
        customQuery?: CustomQuery;
    }) => Promise<USER>;
    updateEmail: (context: Context, params: {
        currentUser: USER;
        updatedUserData: UPDATE_USER_PARAMS;
        newEmail: string;
        password: string;
        customQuery?: CustomQuery;
    }) => Promise<USER>;
}
export declare type CustomUseUser<USER, UPDATE_USER_PARAMS> = UseUser<USER, UPDATE_USER_PARAMS> & {
    updateEmail: any;
};
export declare type CustomUseUserErrors = UseUserErrors & {
    updateEmail: null;
};
export declare const useUserFactory: <USER, UPDATE_USER_PARAMS, REGISTER_USER_PARAMS extends {
    email: string;
    password: string;
}>(factoryParams: UseUserFactoryParams<USER, UPDATE_USER_PARAMS, REGISTER_USER_PARAMS>) => () => CustomUseUser<USER, UPDATE_USER_PARAMS>;
//# sourceMappingURL=useUserFactory.d.ts.map